/**
 * Created by liz on 2015/6/3.
 */
define(['./trackreplay'],function(module){
    return module.service('publicService', (function(){
        function PublicService($http,$resource,$timeout,$location){
            this.$http = $http;
            this.$resource = $resource;
            this.$timeout = $timeout;
            this.$location = $location;
        }

        //从url里面获取当前组织ID
        PublicService.prototype.getOrgId = function(cb){
              var absUrl = this.$location.absUrl();
              var urls = absUrl.split("/");
              var orgId = urls[4];
              cb({orgId:orgId});
        };

        //加载日期控件
        PublicService.prototype.changeDatePicker = function(type,ids){
            if(type == "date"){
                angular.forEach(ids,function(id){
                    $('#'+id).datetimepicker({
                        language:  'fr',
                        weekStart: 1,
                        todayBtn:  1,
                        autoclose: 1,
                        todayHighlight: 1,
                        startView: 2,
                        minView: 2,
                        forceParse: 0
                    });
                })
            }else if(type == "time"){
                angular.forEach(ids,function(id){
                    $('#'+id).datetimepicker({
                        weekStart: 1,
                        todayBtn:  1,
                        autoclose: 1,
                        todayHighlight: 1,
                        startView: 1,
                        minView: 0,
                        maxView: 1,
                        forceParse: 0
                    });
                })
            }else if(type == "datetime"){
                angular.forEach(ids,function(id){
                    $('#'+id).datetimepicker({
                        weekStart: 1,
                        todayBtn:  1,
                        autoclose: 1,
                        todayHighlight: 1,
                        startView: 2,
                        forceParse: 0,
                        showMeridian: 1
                    });
                })
            }
        }

        return ['$http', '$resource','$timeout','$location', PublicService];
    })());
});